"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.regex_guesses = void 0;
var support_1 = require("./support");
function regex_guesses(match) {
    var char_class_bases = {
        alpha_lower: 26,
        alpha_upper: 26,
        alpha: 52,
        alphanumeric: 62,
        digits: 10,
        symbols: 33,
    };
    if (match.regex_name in char_class_bases) {
        return Math.pow(char_class_bases[match.regex_name], match.token.length);
    }
    else {
        var year_space = void 0;
        switch (match.regex_name) {
            case "recent_year":
                // conservative estimate of year space: num years from REFERENCE_YEAR.
                // if year is close to REFERENCE_YEAR, estimate a year space of MIN_YEAR_SPACE.
                year_space = Math.abs(parseInt(match.regex_match[0]) - support_1.REFERENCE_YEAR);
                year_space = Math.max(year_space, support_1.MIN_YEAR_SPACE);
                return year_space;
        }
    }
    return 0;
}
exports.regex_guesses = regex_guesses;
//# sourceMappingURL=regex_guesses.js.map